summaryrefslogtreecommitdiffstats
path: root/system/lxinput/lxinput.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/lxinput/lxinput.SlackBuild')
-rw-r--r--system/lxinput/lxinput.SlackBuild16
1 files changed, 8 insertions, 8 deletions
diff --git a/system/lxinput/lxinput.SlackBuild b/system/lxinput/lxinput.SlackBuild
index 3d33a83d7a..5e4a062e2f 100644
--- a/system/lxinput/lxinput.SlackBuild
+++ b/system/lxinput/lxinput.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Slackware build script for lxinput
-# Copyright 2010-2016 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2010-2024 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=lxinput
VERSION=${VERSION:-0.3.5}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -40,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -66,6 +63,10 @@ else
LIBDIRSUFFIX=""
fi
+WITHGTK3="--enable-gtk3" ; [ "${GTK3:-yes}" = "no" ] && WITHGTK3="--enable-gtk"
+
+DOCS="AUTHOR COPYING ChangeLog NEWS README TODO"
+
set -e
rm -rf $PKG
@@ -93,6 +94,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-man \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ $WITHGTK3 \
--build=$ARCH-slackware-linux
make
@@ -102,9 +104,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHOR COPYING ChangeLog NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install